package com.jg.project.about.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jg.project.about.mapper.AboutPartOneMapper;
import com.jg.project.about.domain.AboutPartOne;
import com.jg.project.about.service.IAboutPartOneService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 关于第一部分Service业务层处理
 *
 * @author wyd
 * @date 2024-04-23
 */
@Service
public class AboutPartOneServiceImpl extends ServiceImpl<AboutPartOneMapper, AboutPartOne> implements IAboutPartOneService {

    @Resource
    private AboutPartOneMapper aboutPartOneMapper;

    /**
     * 查询关于第一部分分页列表
     *
     * @param aboutPartOne 关于第一部分
     * @return 关于第一部分
     */
    @Override
    public List<AboutPartOne> selectAboutPartOneList(AboutPartOne aboutPartOne)
    {
        return aboutPartOneMapper.selectAboutPartOneList(aboutPartOne);
    }
}
